#
# ContentContainerUtils product
# Peter Bengtsson <peter@galdrion.com>
# Start date: 3/01 -02
# 
# HISTORY
#
# 0.1  2002-01-03 Built from scratch
#

__version__='0.1'
__doc__="""Utils for the ContentContainer product"""

# python
import string
import re

# Zope
from Products.PythonScripts.standard import structured_text, html_quote, newline_to_br

def highlight_text(s, replace, starttag, endtag):
    """ use a regular expression to replace a piece of a string with start and end tag
        Objective:
	    searchterm="Peter"
	    original_string ="PEters name is peter"
	    result_string:
		>>>"<b>PEter</b>a name is <b>peter</b>"
    """
    
    # needs work

    p = re.compile(replace, re.IGNORECASE | re.DOTALL)
    s = p.sub(starttag+replace+endtag, s)
    
    return s

def ST(s):
    """ translate a string to StructuredText """
    # when structuredtext'uring a string one has to do this
    st = s.strip()+ " "
    st = structured_text(st)

    # compensate for bug in structured_text()
    s_replace = {'<html>':'', '<body>':'', '</body>':'',
                 '</html>':'', '':'&Auml;', '':'&Aring;',
		 '':'&Ouml;', '':'&aring;', '':'&auml;',
		 '':'&ouml;'}
    
    for k,v in s_replace.items():
	st=st.replace(k,v)
	
    return st

def valid_format(format):
    """ try to standardize the format into stuff we regognize """
    # the ones we recognize as usable format strings
    recognized = ('structuredtext','plaintext','html')
    # let one use different names to be one the safe side
    translators = {'structured text':'structuredtext', 'st':'structuredtext',
		   'structured':'structuredtext', 'plain':'plaintext', 
		   'plain text':'plaintext', 'pt':'plaintext'}
		   
    format = format.lower().strip()

    if format in recognized:
	return format
    else:
	try:
	    return translators[format]
	except KeyError:
	    raise "Unsupported format", "Format %s not in %s"%(format, string.join(recognized,', '))
    
	

def PlainText(s):
    """ plaintext a string """
    s = s.strip()+ " "
    return newline_to_br(html_quote(s))


					   
