import ContentContainer

"""ContentContainer Product"""
__version__ = '0.0.1'


def initialize(context):
    """ Initialize ContentContainer product """
    try:
        context.registerClass(
            ContentContainer.ContentContainer,
            constructors = (
                ContentContainer.manage_addContentContainerForm, # This is called when
                ContentContainer.manage_addContentContainer      # someone adds the product
                ),
            icon = "www/cc.gif"

            )

#        registerIcon('account.gif')
#        registerIcon('manager_account.gif')        
#        registerIcon('event.gif')
#        registerIcon('colormap.gif')

##        context.registerHelp()
##        context.registerHelpTitle('TimeTable Help')
    except:
        """If you can't register the product, tell someone. 
        
        Zope will sometimes provide you with access to "broken product" and
        a backtrace of what went wrong, but not always; I think that only 
        works for errors caught in your main product module. 
        
        This code provides traceback for anything that happened in 
        registerClass(), assuming you're running Zope in debug mode."""
        
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write(string.join(traceback.format_exception(type, val, tb), ''))
        del type, val, tb




import OFS, App

def registerIcon(filename):
    # A helper function that takes an image filename (assumed
    # to live in a 'www' subdirectory of this package). It 
    # creates an ImageFile instance and adds it as an attribute
    # of misc_.MyPackage of the zope application object (note
    # that misc_.MyPackage has already been created by the product
    # initialization machinery by the time registerIcon is called).

    setattr(OFS.misc_.misc_.TimeTable, 
            filename, 
            App.ImageFile.ImageFile('www/%s' % filename, globals())
            )
